Bug 79293 - [UPDATE] Unbreak ports/devel/subversion-perl
Summary: [UPDATE] Unbreak ports/devel/subversion-perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-28 03:30 UTC by Ying-Chieh Chen
Modified: 2005-03-30 03:18 UTC (History)
0 users

See Also:


Attachments
subversion-perl.patch (380 bytes, patch)
2005-03-28 03:30 UTC, Ying-Chieh Chen
no flags Details | Diff
file.diff (439 bytes, patch)
2005-03-28 03:30 UTC, Ying-Chieh Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ying-Chieh Chen 2005-03-28 03:30:06 UTC
      Unbreak ports/devel/subversion-perl .

Please commit it, thanks!

Fix: Apply the following patches:
How-To-Repeat:       cd /usr/ports/devel/subversion-perl ; make
Comment 1 Cheng-Lung Sung freebsd_committer 2005-03-28 03:58:16 UTC
Hi Lev, 

	This patch can unbreak devel/subversion-perl, but we need to 
	modify subversion/Makefile, can you commit it or just approved.
	Thus I can commit these update :)

errorlog :
[http://pointyhat.freebsd.org/errorlogs/i386-errorlogs/e.5.2005032104/subversion-perl-1.1.3.log]

clsung
On Mon, Mar 28, 2005 at 02:23:46AM +0000, Ying-Chieh Chen wrote:
> 
> >Number:         79293
> >Category:       ports
> >Synopsis:       [UPDATE] Unbreak ports/devel/subversion-perl
> >Confidential:   no
> >Severity:       critical
> >Priority:       high
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          update
> >Submitter-Id:   current-users
> >Arrival-Date:   Mon Mar 28 02:30:06 GMT 2005
> >Closed-Date:
> >Last-Modified:
> >Originator:     Ying-Chieh Chen
> >Release:        4.10-RELEASE-p4
> >Organization:
> MANA lab, CCU CS
> >Environment:
> FreeBSD nb.mana.cs.ccu.edu.tw 4.10-RELEASE-p4 FreeBSD 4.10-RELEASE-p4 #2: Thu Nov 25 15:14:47 CST 2004     root@nb.mana.cs.ccu.edu.tw:/usr/obj/usr/src/sys/KERNEL  i386
> >Description:
>       Unbreak ports/devel/subversion-perl .
> 
> Please commit it, thanks!
> >How-To-Repeat:
>       cd /usr/ports/devel/subversion-perl ; make
> >Fix:
>       Apply the following patches:
> 
> --- subversion-perl.patch starts here ---
> diff -ruN /usr/ports/devel/subversion-perl/Makefile subversion-perl/Makefile
> --- /usr/ports/devel/subversion-perl/Makefile	Mon Mar 28 10:11:09 2005
> +++ subversion-perl/Makefile	Mon Mar 28 10:12:36 2005
> @@ -14,8 +14,6 @@
>  PKGDIR=		${.CURDIR}
>  PLIST=		${MASTERDIR}/pkg-plist
>  
> -BROKEN=		Incorrectly installs a perllocal.pod file
> -
>  WITH_PERL=	yes
>  
>  .include "${MASTERDIR}/Makefile"
> --- subversion-perl.patch ends here ---
> 
> --- subversion.patch starts here ---
> diff -ruN /usr/ports/devel/subversion/Makefile subversion/Makefile
> --- /usr/ports/devel/subversion/Makefile	Fri Feb  4 07:12:45 2005
> +++ subversion/Makefile	Mon Mar 28 08:19:20 2005
> @@ -337,6 +337,7 @@
>  .endif
>  .if defined(WITH_PERL)
>  	cd ${WRKSRC} ; \
> +	${REINPLACE_CMD} '/SWIG_PL_DIR/s, install$$, all pure_install,g' ${WRKSRC}/Makefile ; \
>  	  ${MAKE} install-swig-pl
>  .endif
>  .if defined(WITH_PYTHON)
> --- subversion.patch ends here ---
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"


-- 
Cheng-Lung Sung - clsung@
Comment 2 Cheng-Lung Sung freebsd_committer 2005-03-28 12:42:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll handle this first..
Comment 3 Lev A. Serebryakov freebsd_committer 2005-03-28 17:55:35 UTC
Hello Cheng-Lung,

Monday, March 28, 2005, 6:58:16 AM, you wrote:

CLS> 	This patch can unbreak devel/subversion-perl, but we need to 
CLS> 	modify subversion/Makefile, can you commit it or just approved.
CLS> 	Thus I can commit these update :)
  Ports are freezed, am I right?


-- 
Best regards,
 Lev                            mailto:lev@FreeBSD.org
Comment 4 Cheng-Lung Sung freebsd_committer 2005-03-29 02:39:47 UTC
Hi, 

Yes, ports freezed, and 
No, subversion-perl marks BROKEN, so I need to unbreak it :) 
(I will request approval of portmgr)

Regards,
On Mon, Mar 28, 2005 at 08:55:35PM +0400, Lev Serebryakov wrote:
> Hello Cheng-Lung,
> 
> Monday, March 28, 2005, 6:58:16 AM, you wrote:
> 
> CLS> 	This patch can unbreak devel/subversion-perl, but we need to 
> CLS> 	modify subversion/Makefile, can you commit it or just approved.
> CLS> 	Thus I can commit these update :)
>   Ports are freezed, am I right?
> 
> 
> -- 
> Best regards,
>  Lev                            mailto:lev@FreeBSD.org


-- 
Cheng-Lung Sung - clsung@
Comment 5 Lev A. Serebryakov freebsd_committer 2005-03-29 18:36:59 UTC
Hello Cheng-Lung,

Tuesday, March 29, 2005, 5:39:47 AM, you wrote:

CLS> Yes, ports freezed, and 
CLS> No, subversion-perl marks BROKEN, so I need to unbreak it :) 
CLS> (I will request approval of portmgr)
  Ok, add these changes, if portmgr approves it.

-- 
Best regards,
 Lev                            mailto:lev@FreeBSD.org
Comment 6 Cheng-Lung Sung freebsd_committer 2005-03-30 03:18:14 UTC
State Changed
From-To: open->closed

Committed, Thank you.